about summary refs log tree commit diff
path: root/third_party/bazel/rules_haskell/.netlify/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/bazel/rules_haskell/.netlify/install.sh')
-rwxr-xr-xthird_party/bazel/rules_haskell/.netlify/install.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/third_party/bazel/rules_haskell/.netlify/install.sh b/third_party/bazel/rules_haskell/.netlify/install.sh
new file mode 100755
index 0000000000..7d8e148317
--- /dev/null
+++ b/third_party/bazel/rules_haskell/.netlify/install.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+set -eux
+
+V=0.20.0
+
+curl -LO https://github.com/bazelbuild/bazel/releases/download/$V/bazel-$V-installer-linux-x86_64.sh
+chmod +x bazel-$V-installer-linux-x86_64.sh
+./bazel-$V-installer-linux-x86_64.sh --user
+
+# XXX: Hack to prevent the `haskell_nixpkgs_package_list` rule from crashing:
+# This rule expects a `nix-build` executable which is used to generate a
+# store-path containing an `all-haskell-packages.bzl` file which defines the
+# `package` list. Since actually installing `nix-build` on the netlify image
+# seems difficult, we provide a dummy shell script which does exactly that.
+packages_list=$(mktemp -d)
+cat <<EOF > $packages_list/all-haskell-packages.bzl
+packages = []
+EOF
+
+mkdir -p $HOME
+cat <<EOF > $HOME/bin/nix-build
+#!/usr/bin/env bash
+
+echo $packages_list
+EOF
+
+chmod +x $HOME/bin/nix-build